diff --git a/gcc/config/i386/i386.c b/gcc/config/i386/i386.c
index 94a84b3..b47d747 100644
--- a/gcc/config/i386/i386.c
+++ b/gcc/config/i386/i386.c
@@ -2078,7 +2078,7 @@ struct processor_costs generic_cost = {
   1,					/* cond_not_taken_branch_cost.  */
 };
 
-/* core_cost should produce code tuned for Core familly of CPUs.  */
+/* core_cost should produce code tuned for Core family of CPUs.  */
 static stringop_algs core_memcpy[2] = {
   {libcall, {{1024, rep_prefix_4_byte, true}, {-1, libcall, false}}},
   {libcall, {{24, loop, true}, {128, rep_prefix_8_byte, true},
@@ -3614,7 +3614,7 @@ scalar_chain::build (bitmap candidates, unsigned insn_uid)
   BITMAP_FREE (queue);
 }
 
-/* Return a cost of building a vector costant
+/* Return a cost of building a vector constant
    instead of using a scalar one.  */
 
 int
@@ -8365,8 +8365,8 @@ ix86_function_regparm (const_tree type, const_tree decl)
    DFmode (2) arguments in SSE registers for a function with the
    indicated TYPE and DECL.  DECL may be NULL when calling function
    indirectly or considering a libcall.  Return -1 if any FP parameter
-   should be rejected by error.  This is used in siutation we imply SSE
-   calling convetion but the function is called from another function with
+   should be rejected by error.  This is used in situation we imply SSE
+   calling convention but the function is called from another function with
    SSE disabled. Otherwise return 0.  */
 
 static int
@@ -9002,7 +9002,7 @@ init_cumulative_args (CUMULATIVE_ARGS *cum,  /* Argument info to initialize */
    select the proper ABI location for the operand and not depend on whatever
    the middle-end decides to do with these vector types.
 
-   The midde-end can't deal with the vector types > 16 bytes.  In this
+   The middle-end can't deal with the vector types > 16 bytes.  In this
    case, we return the original mode and warn ABI change if CUM isn't
    NULL. 
 
@@ -10943,7 +10943,7 @@ ix86_function_value (const_tree valtype, const_tree fntype_or_decl, bool)
 }
 
 /*  Return an RTX representing a place where a function returns
-    or recieves pointer bounds or NULL if no bounds are returned.
+    or receives pointer bounds or NULL if no bounds are returned.
 
     VALTYPE is a data type of a value returned by the function.
 
@@ -11091,7 +11091,7 @@ ix86_return_in_memory (const_tree type, const_tree fntype ATTRIBUTE_UNUSED)
 	  if (size < 8)
 	    return false;
 
-	  /* Unless ABI prescibes otherwise,
+	  /* Unless ABI prescribes otherwise,
 	     MMX/3dNow values are returned in MM0 if available.  */
 	     
 	  if (size == 8)
@@ -12688,7 +12688,7 @@ ix86_save_reg (unsigned int regno, bool maybe_eh_return, bool ignore_outlined)
 	  && (regno != HARD_FRAME_POINTER_REGNUM || !frame_pointer_needed));
 }
 
-/* Return number of saved general prupose registers.  */
+/* Return number of saved general purpose registers.  */
 
 static int
 ix86_nsaved_regs (void)
@@ -12842,7 +12842,7 @@ ix86_compute_frame_layout (void)
   m->call_ms2sysv_pad_out = 0;
 
   /* 64-bit MS ABI seem to require stack alignment to be always 16,
-     except for function prologues, leaf functions and when the defult
+     except for function prologues, leaf functions and when the default
      incoming stack boundary is overriden at command line or via
      force_align_arg_pointer attribute.  */
   if ((TARGET_64BIT_MS_ABI && crtl->preferred_stack_boundary < 128)
@@ -13216,7 +13216,7 @@ choose_basereg (HOST_WIDE_INT cfa_offset, rtx &base_reg,
 /* Return an RTX that points to CFA_OFFSET within the stack frame and
    the alignment of address.  If align is non-null, it should point to
    an alignment value (in bits) that is preferred or zero and will
-   recieve the alignment of the base register that was selected.  The
+   receive the alignment of the base register that was selected.  The
    valid base registers are taken from CFUN->MACHINE->FS.  */
 
 static rtx
@@ -13267,7 +13267,7 @@ ix86_emit_save_reg_using_mov (machine_mode mode, unsigned int regno,
   addr = choose_baseaddr (cfa_offset, &align);
   mem = gen_frame_mem (mode, addr);
 
-  /* The location aligment depends upon the base register.  */
+  /* The location alignment depends upon the base register.  */
   align = MIN (GET_MODE_ALIGNMENT (mode), align);
   gcc_assert (! (cfa_offset & (align / BITS_PER_UNIT - 1)));
   set_mem_align (mem, align);
@@ -14764,7 +14764,7 @@ ix86_expand_prologue (void)
     }
   gcc_assert (m->fs.sp_offset == frame.stack_pointer_offset);
 
-  /* If we havn't already set up the frame pointer, do so now.  */
+  /* If we haven't already set up the frame pointer, do so now.  */
   if (frame_pointer_needed && !m->fs.fp_valid)
     {
       insn = ix86_gen_add3 (hard_frame_pointer_rtx, stack_pointer_rtx,
@@ -14794,7 +14794,7 @@ ix86_expand_prologue (void)
       RTX_FRAME_RELATED_P (insn) = 1;
       add_reg_note (insn, REG_CFA_FLUSH_QUEUE, NULL_RTX);
       emit_insn (gen_prologue_use (pic));
-      /* Deleting already emmitted SET_GOT if exist and allocated to
+      /* Deleting already emitted SET_GOT if exist and allocated to
 	 REAL_PIC_OFFSET_TABLE_REGNUM.  */
       ix86_elim_entry_set_got (pic);
     }
@@ -14985,7 +14985,7 @@ ix86_emit_restore_sse_regs_using_mov (HOST_WIDE_INT cfa_offset,
 	mem = choose_baseaddr (cfa_offset, &align);
 	mem = gen_rtx_MEM (V4SFmode, mem);
 
-	/* The location aligment depends upon the base register.  */
+	/* The location alignment depends upon the base register.  */
 	align = MIN (GET_MODE_ALIGNMENT (V4SFmode), align);
 	gcc_assert (! (cfa_offset & (align / BITS_PER_UNIT - 1)));
 	set_mem_align (mem, align);
@@ -15289,7 +15289,7 @@ ix86_expand_epilogue (int style)
   /* If using out-of-line stub that is a tail-call, then...*/
   if (m->call_ms2sysv && restore_stub_is_tail)
     {
-      /* TODO: parinoid tests. (remove eventually)  */
+      /* TODO: paranoid tests. (remove eventually)  */
       gcc_assert (m->fs.sp_valid);
       gcc_assert (!m->fs.sp_realigned);
       gcc_assert (!m->fs.fp_valid);
@@ -18571,7 +18571,7 @@ print_reg (rtx x, int code, FILE *file)
    F,f -- likewise, but for floating-point.
    O -- if HAVE_AS_IX86_CMOV_SUN_SYNTAX, expand to "w.", "l." or "q.",
 	otherwise nothing
-   R -- print embeded rounding and sae.
+   R -- print embedded rounding and sae.
    r -- print only sae.
    z -- print the opcode suffix for the size of the current operand.
    Z -- likewise, with special suffixes for x87 instructions.
@@ -21554,7 +21554,7 @@ ix86_split_idivmod (machine_mode mode, rtx operands[],
 /* Increase given DISTANCE in half-cycles according to
    dependencies between PREV and NEXT instructions.
    Add 1 half-cycle if there is no dependency and
-   go to next cycle if there is some dependecy.  */
+   go to next cycle if there is some dependency.  */
 
 static unsigned int
 increase_distance (rtx_insn *prev, rtx_insn *next, unsigned int distance)
@@ -21919,7 +21919,7 @@ ix86_lea_outperforms (rtx_insn *insn, unsigned int regno0, unsigned int regno1,
      lea priority.  */
   dist_define += split_cost + IX86_LEA_PRIORITY;
 
-  /* If there is no use in memory addess then we just check
+  /* If there is no use in memory address then we just check
      that split cost exceeds AGU stall.  */
   if (dist_use < 0)
     return dist_define > LEA_MAX_STALL;
@@ -22068,7 +22068,7 @@ ix86_avoid_lea_for_addr (rtx_insn *insn, rtx operands[])
      if split lea into a sequence of instructions.  */
   if (parts.base || parts.index)
     {
-      /* Have to use mov instruction if non desctructive
+      /* Have to use mov instruction if non destructive
 	 destination form is used.  */
       if (regno1 != regno0 && regno2 != regno0)
 	split_cost += 1;
@@ -23650,7 +23650,7 @@ ix86_expand_branch (enum rtx_code code, rtx op0, rtx op1, rtx label)
   machine_mode mode = GET_MODE (op0);
   rtx tmp;
 
-  /* Handle special case - vector comparsion with boolean result, transform
+  /* Handle special case - vector comparison with boolean result, transform
      it using ptest instruction.  */
   if (GET_MODE_CLASS (mode) == MODE_VECTOR_INT)
     {
@@ -27683,8 +27683,8 @@ expand_small_movmem_or_setmem (rtx destmem, rtx srcmem,
 }
 
 /* Handle small memcpy (up to SIZE that is supposed to be small power of 2.
-   and get ready for the main memcpy loop by copying iniital DESIRED_ALIGN-ALIGN
-   bytes and last SIZE bytes adjusitng DESTPTR/SRCPTR/COUNT in a way we can
+   and get ready for the main memcpy loop by copying initial DESIRED_ALIGN-ALIGN
+   bytes and last SIZE bytes adjusting DESTPTR/SRCPTR/COUNT in a way we can
    proceed with an loop copying SIZE bytes at once. Do moves in MODE.
    DONE_LABEL is a label after the whole copying sequence. The label is created
    on demand if *DONE_LABEL is NULL.
@@ -30589,7 +30589,7 @@ swap_top_of_ready_list (rtx_insn **ready, int n_ready)
   #undef INSN_TICK
 }
 
-/* Perform possible reodering of ready list for Atom/Silvermont only.
+/* Perform possible reordering of ready list for Atom/Silvermont only.
    Return issue rate.  */
 static int
 ix86_sched_reorder (FILE *dump, int sched_verbose, rtx_insn **ready,
@@ -30604,7 +30604,7 @@ ix86_sched_reorder (FILE *dump, int sched_verbose, rtx_insn **ready,
   /* Set up issue rate.  */
   issue_rate = ix86_issue_rate ();
 
-  /* Do reodering for BONNELL/SILVERMONT only.  */
+  /* Do reordering for BONNELL/SILVERMONT only.  */
   if (!TARGET_BONNELL && !TARGET_SILVERMONT && !TARGET_INTEL)
     return issue_rate;
 
@@ -33567,7 +33567,7 @@ dispatch_function_versions (tree dispatch_decl,
 
   gseq = bb_seq (*empty_bb);
   /* Function version dispatch is via IFUNC.  IFUNC resolvers fire before
-     constructors, so explicity call __builtin_cpu_init here.  */
+     constructors, so explicitly call __builtin_cpu_init here.  */
   ifunc_cpu_init_stmt = gimple_build_call_vec (
                      ix86_builtins [(int) IX86_BUILTIN_CPU_INIT], vNULL);
   gimple_seq_add_stmt (&gseq, ifunc_cpu_init_stmt);
@@ -36486,7 +36486,7 @@ ix86_erase_embedded_rounding (rtx pat)
 	    res [j++] = elem;
 	}
 
-      /*  No more than 1 occurence was removed.  */
+      /*  No more than 1 occurrence was removed.  */
       gcc_assert (j >= XVECLEN (pat, 0) - 1);
 
       return gen_rtx_PARALLEL (GET_MODE (pat), gen_rtvec_v (j, res));
@@ -43975,7 +43975,7 @@ ix86_expand_vector_init_interleave (machine_mode mode,
 
   for (i = 0; i < n; i++)
     {
-      /* Extend the odd elment to SImode using a paradoxical SUBREG.  */
+      /* Extend the odd element to SImode using a paradoxical SUBREG.  */
       op0 = gen_reg_rtx (SImode);
       emit_move_insn (op0, gen_lowpart (SImode, ops [i + i]));
 
@@ -52073,7 +52073,7 @@ ix86_optab_supported_p (int op, machine_mode mode1, machine_mode,
    to use %fs and %gs segment prefixes.  Therefore:
 
     (a) All address spaces have the same modes,
-    (b) All address spaces have the same addresss forms,
+    (b) All address spaces have the same address forms,
     (c) While %fs and %gs are technically subsets of the generic
         address space, they are probably not subsets of each other.
     (d) Since we have no access to the segment base register values
diff --git a/gcc/config/i386/i386.h b/gcc/config/i386/i386.h
index 08243c1..7311e87 100644
--- a/gcc/config/i386/i386.h
+++ b/gcc/config/i386/i386.h
@@ -191,7 +191,7 @@ see the files COPYING3 and COPYING.RUNTIME respectively.  If not, see
    known at compile time or estimated via feedback, the SIZE array
    is walked in order until MAX is greater then the estimate (or -1
    means infinity).  Corresponding ALG is used then.
-   When NOALIGN is true the code guaranting the alignment of the memory
+   When NOALIGN is true the code guaranteeing the alignment of the memory
    block is skipped.
 
    For example initializer:
@@ -778,7 +778,7 @@ extern const char *host_detect_local_cpu (int argc, const char **argv);
 
 /* 1 if -mstackrealign should be turned on by default.  It will
    generate an alternate prologue and epilogue that realigns the
-   runtime stack if nessary.  This supports mixing codes that keep a
+   runtime stack if necessary.  This supports mixing codes that keep a
    4-byte aligned stack, as specified by i386 psABI, with codes that
    need a 16-byte aligned stack, as required by SSE instructions.  */
 #define STACK_REALIGN_DEFAULT 0
@@ -789,7 +789,7 @@ extern const char *host_detect_local_cpu (int argc, const char **argv);
 /* According to Windows x64 software convention, the maximum stack allocatable
    in the prologue is 4G - 8 bytes.  Furthermore, there is a limited set of
    instructions allowed to adjust the stack pointer in the epilog, forcing the
-   use of frame pointer for frames larger than 2 GB.  This theorical limit
+   use of frame pointer for frames larger than 2 GB.  This theoretical limit
    is reduced by 256, an over-estimated upper bound for the stack use by the
    prologue.
    We define only one threshold for both the prolog and the epilog.  When the
@@ -1619,7 +1619,7 @@ enum reg_class
 
    FIXME: Unlike earlier implementations, the size of unwind info seems to
    actually grow with accumulation.  Is that because accumulated args
-   unwind info became unnecesarily bloated?
+   unwind info became unnecessarily bloated?
 
    With the 64-bit MS ABI, we can generate correct code with or without
    accumulated args, but because of OUTGOING_REG_PARM_STACK_SPACE the code
@@ -1704,7 +1704,7 @@ typedef struct ix86_args {
   int mmx_words;		/* # mmx words passed so far */
   int mmx_nregs;		/* # mmx registers available for passing */
   int mmx_regno;		/* next available mmx register number */
-  int maybe_vaarg;		/* true for calls to possibly vardic fncts.  */
+  int maybe_vaarg;		/* true for calls to possibly variadic fncts.  */
   int caller;			/* true if it is caller.  */
   int float_in_sse;		/* Set to 1 or 2 for 32bit targets if
 				   SFmode/DFmode arguments should be passed
diff --git a/gcc/config/i386/x86-tune.def b/gcc/config/i386/x86-tune.def
index c642f45..338353f 100644
--- a/gcc/config/i386/x86-tune.def
+++ b/gcc/config/i386/x86-tune.def
@@ -44,8 +44,8 @@ DEF_TUNE (X86_TUNE_SCHEDULE, "schedule",
 	  | m_INTEL | m_KNL | m_K6_GEODE | m_AMD_MULTIPLE | m_GENERIC)
 
 /* X86_TUNE_PARTIAL_REG_DEPENDENCY: Enable more register renaming
-   on modern chips.  Preffer stores affecting whole integer register
-   over partial stores.  For example preffer MOVZBL or MOVQ to load 8bit
+   on modern chips.  Prefer stores affecting whole integer register
+   over partial stores.  For example prefer MOVZBL or MOVQ to load 8bit
    value over movb.  */
 DEF_TUNE (X86_TUNE_PARTIAL_REG_DEPENDENCY, "partial_reg_dependency",
           m_P4_NOCONA | m_CORE_ALL | m_BONNELL | m_SILVERMONT | m_INTEL
@@ -137,12 +137,12 @@ DEF_TUNE (X86_TUNE_REASSOC_FP_TO_PARALLEL, "reassoc_fp_to_parallel",
    by push/pop instructions.
    This increase code size by about 5% in 32bit mode, less so in 64bit mode
    because parameters are passed in registers.  It is considerable
-   win for targets without stack engine that prevents multple push operations
+   win for targets without stack engine that prevents multiple push operations
    to happen in parallel.
 
    FIXME: the flags is incorrectly enabled for amdfam10, Bulldozer,
    Bobcat and Generic.  This is because disabling it causes large
-   regression on mgrid due to IRA limitation leading to unecessary
+   regression on mgrid due to IRA limitation leading to unnecessary
    use of the frame pointer in 32bit mode.  */
 DEF_TUNE (X86_TUNE_ACCUMULATE_OUTGOING_ARGS, "accumulate_outgoing_args",
 	  m_PPRO | m_P4_NOCONA | m_BONNELL | m_SILVERMONT | m_KNL | m_INTEL
@@ -273,7 +273,7 @@ DEF_TUNE (X86_TUNE_SINGLE_STRINGOP, "single_stringop", m_386 | m_P4_NOCONA)
    compact prologues and epilogues by issuing a misaligned moves.  This
    requires target to handle misaligned moves and partial memory stalls
    reasonably well.
-   FIXME: This may actualy be a win on more targets than listed here.  */
+   FIXME: This may actually be a win on more targets than listed here.  */
 DEF_TUNE (X86_TUNE_MISALIGNED_MOVE_STRING_PRO_EPILOGUES,
 	  "misaligned_move_string_pro_epilogues",
 	  m_386 | m_486 | m_CORE_ALL | m_AMD_MULTIPLE | m_GENERIC)
@@ -339,7 +339,7 @@ DEF_TUNE (X86_TUNE_SSE_UNALIGNED_STORE_OPTIMAL, "sse_unaligned_store_optimal",
 	  m_NEHALEM | m_SANDYBRIDGE | m_HASWELL | m_SILVERMONT | m_KNL
 	  | m_INTEL | m_BDVER | m_ZNVER1 | m_GENERIC)
 
-/* Use packed single precision instructions where posisble.  I.e. movups instead
+/* Use packed single precision instructions where possible.  I.e. movups instead
    of movupd.  */
 DEF_TUNE (X86_TUNE_SSE_PACKED_SINGLE_INSN_OPTIMAL, "sse_packed_single_insn_optimal",
 	  m_BDVER | m_ZNVER1)
@@ -429,7 +429,7 @@ DEF_TUNE (X86_TUNE_DOUBLE_WITH_ADD, "double_with_add", ~m_386)
 
 /* X86_TUNE_ALWAYS_FANCY_MATH_387: controls use of fancy 387 operations,
    such as fsqrt, fprem, fsin, fcos, fsincos etc.
-   Should be enabled for all targets that always has coprocesor.  */
+   Should be enabled for all targets that always has coprocessor.  */
 DEF_TUNE (X86_TUNE_ALWAYS_FANCY_MATH_387, "always_fancy_math_387",
           ~(m_386 | m_486 | m_LAKEMONT))
 
@@ -489,7 +489,7 @@ DEF_TUNE (X86_TUNE_PARTIAL_REG_STALL, "partial_reg_stall", m_PPRO)
 DEF_TUNE (X86_TUNE_PROMOTE_QIMODE, "promote_qimode",
 	  ~m_PPRO)
 
-/* X86_TUNE_PROMOTE_HI_REGS: Same, but for 16bit artihmetic.  Again we avoid
+/* X86_TUNE_PROMOTE_HI_REGS: Same, but for 16bit arithmetic.  Again we avoid
    partial register stalls on PentiumPro targets. */
 DEF_TUNE (X86_TUNE_PROMOTE_HI_REGS, "promote_hi_regs", m_PPRO)
 
diff --git a/gcc/configure.ac b/gcc/configure.ac
index acfe979..055be56 100644
--- a/gcc/configure.ac
+++ b/gcc/configure.ac
@@ -630,7 +630,7 @@ if test x$ac_tree_checking != x ; then
 fi
 if test x$ac_types_checking != x ; then
   AC_DEFINE(ENABLE_TYPES_CHECKING, 1,
-[Define if you want all gimple types to be verified after gimplifiation.
+[Define if you want all gimple types to be verified after gimplification.
    This is cheap.
    ])
 fi
diff --git a/gcc/coverage.c b/gcc/coverage.c
index 53e379b..1b2f71c 100644
--- a/gcc/coverage.c
+++ b/gcc/coverage.c
@@ -606,7 +606,7 @@ coverage_compute_profile_id (struct cgraph_node *n)
    The checksum is calculated carefully so that
    source code changes that doesn't affect the control flow graph
    won't change the checksum.
-   This is to make the profile data useable across source code change.
+   This is to make the profile data usable across source code change.
    The downside of this is that the compiler may use potentially
    wrong profile data - that the source code change has non-trivial impact
    on the validity of profile data (e.g. the reversed condition)
diff --git a/gcc/cp/call.c b/gcc/cp/call.c
index 51260f0..bc1f723 100644
--- a/gcc/cp/call.c
+++ b/gcc/cp/call.c
@@ -8358,7 +8358,7 @@ build_special_member_call (tree instance, tree name, vec<tree, va_gc> **args,
 
       /* FIXME P0135 doesn't say how to handle direct initialization from a
 	 type with a suitable conversion operator.  Let's handle it like
-	 copy-initialization, but allowing explict conversions.  */
+	 copy-initialization, but allowing explicit conversions.  */
       tsubst_flags_t sub_complain = tf_warning;
       if (!is_dummy_object (instance))
 	/* If we're using this to initialize a non-temporary object, don't
diff --git a/gcc/cp/class.c b/gcc/cp/class.c
index eddc118..9c8beb9 100644
--- a/gcc/cp/class.c
+++ b/gcc/cp/class.c
@@ -1703,7 +1703,7 @@ inherit_targ_abi_tags (tree t)
 }
 
 /* Return true, iff class T has a non-virtual destructor that is
-   accessible from outside the class heirarchy (i.e. is public, or
+   accessible from outside the class hierarchy (i.e. is public, or
    there's a suitable friend.  */
 
 static bool
@@ -3226,9 +3226,9 @@ maybe_add_class_template_decl_list (tree type, tree t, int friend_p)
 /* This function is called from declare_virt_assop_and_dtor via
    dfs_walk_all.
 
-   DATA is a type that direcly or indirectly inherits the base
+   DATA is a type that directly or indirectly inherits the base
    represented by BINFO.  If BINFO contains a virtual assignment [copy
-   assignment or move assigment] operator or a virtual constructor,
+   assignment or move assignment] operator or a virtual constructor,
    declare that function in DATA if it hasn't been already declared.  */
 
 static tree
@@ -8687,7 +8687,7 @@ note_name_declared_in_class (tree name, tree decl)
     return;
   /* The C language allows members to be declared with a type of the same
      name, and the C++ standard says this diagnostic is not required.  So
-     allow it in extern "C" blocks unless predantic is specified.
+     allow it in extern "C" blocks unless pedantic is specified.
      Allow it in all cases if -ms-extensions is specified.  */
   if ((!pedantic && current_lang_name == lang_name_c)
       || flag_ms_extensions)
@@ -9539,7 +9539,7 @@ dfs_accumulate_vtbl_inits (tree binfo,
        straighten this out.  */
     BINFO_VTABLE (binfo) = tree_cons (rtti_binfo, vtbl, BINFO_VTABLE (binfo));
   else if (BINFO_PRIMARY_P (binfo) && BINFO_VIRTUAL_P (binfo))
-    /* Throw away any unneeded intializers.  */
+    /* Throw away any unneeded initializers.  */
     (*l)->truncate (n_inits);
   else
      /* For an ordinary vtable, set BINFO_VTABLE.  */
diff --git a/gcc/cp/constexpr.c b/gcc/cp/constexpr.c
index 157b20d..44cb677 100644
--- a/gcc/cp/constexpr.c
+++ b/gcc/cp/constexpr.c
@@ -755,7 +755,7 @@ cx_check_missing_mem_inits (tree ctype, tree body, bool complain)
 	    continue;
 	  if (ANON_AGGR_TYPE_P (TREE_TYPE (field)))
 	    {
-	      /* Recurse to check the anonummous aggregate member.  */
+	      /* Recurse to check the anonymous aggregate member.  */
 	      bad |= cx_check_missing_mem_inits
 		(TREE_TYPE (field), NULL_TREE, complain);
 	      if (bad && !complain)
@@ -797,7 +797,7 @@ cx_check_missing_mem_inits (tree ctype, tree body, bool complain)
 }
 
 /* We are processing the definition of the constexpr function FUN.
-   Check that its BODY fulfills the propriate requirements and
+   Check that its BODY fulfills the appropriate requirements and
    enter it in the constexpr function definition table.
    For constructor BODY is actually the TREE_LIST of the
    member-initializer list.  */
@@ -912,7 +912,7 @@ struct GTY((for_user)) constexpr_call {
   /* Result of the call.
        NULL means the call is being evaluated.
        error_mark_node means that the evaluation was erroneous;
-       otherwise, the actuall value of the call.  */
+       otherwise, the actual value of the call.  */
   tree result;
   /* The hash of this call; we remember it here to avoid having to
      recalculate it when expanding the hash table.  */
@@ -1092,7 +1092,7 @@ save_fundef_copy (tree fun, tree copy)
 
 /* We have an expression tree T that represents a call, either CALL_EXPR
    or AGGR_INIT_EXPR.  If the call is lexically to a named function,
-   retrun the _DECL for that function.  */
+   return the _DECL for that function.  */
 
 static tree
 get_function_named_in_call (tree t)
@@ -5863,7 +5863,7 @@ potential_nondependent_static_init_expression (tree t)
 void
 fini_constexpr (void)
 {
-  /* The contexpr call and fundef copies tables are no longer needed.  */
+  /* The constexpr call and fundef copies tables are no longer needed.  */
   constexpr_call_table = NULL;
   fundef_copies_table = NULL;
 }
diff --git a/gcc/cp/constraint.cc b/gcc/cp/constraint.cc
index 6fd4bde..c797bb1 100644
--- a/gcc/cp/constraint.cc
+++ b/gcc/cp/constraint.cc
@@ -453,7 +453,7 @@ learn_implications (tree parent, tree constr, implication_context cxt)
 void
 learn_implications (tree tmpl, tree args, tree constr)
 {
-  /* Don't memoize relations between non-dependent arguemnts. It's not
+  /* Don't memoize relations between non-dependent arguments. It's not
      helpful. */
   if (!uses_template_parms (args))
     return;
@@ -461,7 +461,7 @@ learn_implications (tree tmpl, tree args, tree constr)
   /* Build a check constraint for the purpose of caching. */
   tree parent = build_nt (CHECK_CONSTR, tmpl, args);
 
-  /* Start learning based on the kind of the top-level contraint. */
+  /* Start learning based on the kind of the top-level constraint. */
   if (TREE_CODE (constr) == CONJ_CONSTR)
     return learn_logical_operation (parent, constr, conjunction_cxt);
   else if (TREE_CODE (constr) == DISJ_CONSTR)
@@ -2956,7 +2956,7 @@ diagnose_argument_deduction_constraint (location_t loc, tree orig, tree cur,
 
   /* The expression and type will previously have been substituted into,
      and therefore may already be an error. Also, we will have already
-     diagnosed substution failures into an expression since this must be
+     diagnosed substitution failures into an expression since this must be
      part of a compound requirement.  */
   tree expr = DEDUCT_CONSTR_EXPR (cur);
   if (error_operand_p (expr))
diff --git a/gcc/cp/cp-array-notation.c b/gcc/cp/cp-array-notation.c
index 36d6624..d08563d 100644
--- a/gcc/cp/cp-array-notation.c
+++ b/gcc/cp/cp-array-notation.c
@@ -313,7 +313,7 @@ expand_sec_reduce_builtin (tree an_builtin_fn, tree *new_var)
 
       /* In this place, we are using get_temp_regvar instead of 
 	 create_temporary_var if an_type is SEC_REDUCE_MAX/MIN_IND because
-	 the array_ind_value depends on this value being initalized to 0.  */
+	 the array_ind_value depends on this value being initialized to 0.  */
       if (an_type == BUILT_IN_CILKPLUS_SEC_REDUCE_MAX_IND
 	  || an_type == BUILT_IN_CILKPLUS_SEC_REDUCE_MIN_IND) 
 	an_loop_info[ii].var = get_temp_regvar (typ, build_zero_cst (typ));
diff --git a/gcc/cp/cp-gimplify.c b/gcc/cp/cp-gimplify.c
index 898a5ae..0922c4f 100644
--- a/gcc/cp/cp-gimplify.c
+++ b/gcc/cp/cp-gimplify.c
@@ -1287,7 +1287,7 @@ cp_genericize_r (tree *stmt_p, int *walk_subtrees, void *data)
     {
       tree block = NULL_TREE;
 
-      /* Get the innermost inclosing GIMPLE_BIND that has a non NULL
+      /* Get the innermost enclosing GIMPLE_BIND that has a non NULL
          BLOCK, and append an IMPORTED_DECL to its
 	 BLOCK_VARS chained list.  */
       if (wtd->bind_expr_stack.exists ())
diff --git a/gcc/cp/cp-tree.h b/gcc/cp/cp-tree.h
index 1c3cce8..c6fb5e0 100644
--- a/gcc/cp/cp-tree.h
+++ b/gcc/cp/cp-tree.h
@@ -666,7 +666,7 @@ typedef struct ptrmem_cst * ptrmem_cst_t;
 #define OVL_NESTED_P(NODE)	TREE_LANG_FLAG_3 (OVERLOAD_CHECK (NODE))
 /* If set, this overload was constructed during lookup.  */
 #define OVL_LOOKUP_P(NODE)	TREE_LANG_FLAG_4 (OVERLOAD_CHECK (NODE))
-/* If set, this is a persistant lookup. */
+/* If set, this is a persistent lookup. */
 #define OVL_USED_P(NODE)	TREE_USED (OVERLOAD_CHECK (NODE))
 
 /* The first decl of an overload.  */
@@ -3149,7 +3149,7 @@ struct GTY(()) lang_decl {
 #define SCOPE_DEPTH(NODE) \
   (NAMESPACE_DECL_CHECK (NODE)->base.u.bits.address_space)
 
-/* Whether the namepace is an inline namespace.  */
+/* Whether the namespace is an inline namespace.  */
 #define DECL_NAMESPACE_INLINE_P(NODE) \
   TREE_LANG_FLAG_0 (NAMESPACE_DECL_CHECK (NODE))
 
@@ -4064,7 +4064,7 @@ more_aggr_init_expr_args_p (const aggr_init_expr_arg_iterator *iter)
          enum E1 : char { ... } // underlying type is char
 
      - In a C++0x scoped enumeration, the underlying type is int
-       unless otherwises specified:
+       unless otherwise specified:
 
          enum class E2 { ... } // underlying type is int
 
@@ -4469,7 +4469,7 @@ more_aggr_init_expr_args_p (const aggr_init_expr_arg_iterator *iter)
    TYPE_DECL). 
 
    FIXME: CONST_CAST_TREE is a hack that hopefully will go away after
-   tree is converted to C++ class hiearchy.  */
+   tree is converted to C++ class hierarchy.  */
 #define DECL_TEMPLATE_PARMS(NODE)       \
    ((struct tree_template_decl *)CONST_CAST_TREE (TEMPLATE_DECL_CHECK (NODE)))->arguments
 #define DECL_INNERMOST_TEMPLATE_PARMS(NODE) \
@@ -4479,7 +4479,7 @@ more_aggr_init_expr_args_p (const aggr_init_expr_arg_iterator *iter)
 /* For function, method, class-data templates.
 
    FIXME: CONST_CAST_TREE is a hack that hopefully will go away after
-   tree is converted to C++ class hiearchy.  */
+   tree is converted to C++ class hierarchy.  */
 #define DECL_TEMPLATE_RESULT(NODE)      \
    ((struct tree_template_decl *)CONST_CAST_TREE(TEMPLATE_DECL_CHECK (NODE)))->result
 /* For a function template at namespace scope, DECL_TEMPLATE_INSTANTIATIONS
@@ -5631,7 +5631,7 @@ enum cp_decl_spec {
 /* A decl-specifier-seq.  */
 
 struct cp_decl_specifier_seq {
-  /* An array of locations for the declaration sepecifiers, indexed by
+  /* An array of locations for the declaration specifiers, indexed by
      enum cp_decl_spec_word.  */
   source_location locations[ds_last];
   /* The primary type, if any, given by the decl-specifier-seq.
diff --git a/gcc/cp/cvt.c b/gcc/cp/cvt.c
index 6b28ef6..e8857f0 100644
--- a/gcc/cp/cvt.c
+++ b/gcc/cp/cvt.c
@@ -1064,7 +1064,7 @@ convert_to_void (tree expr, impl_conv_void implicit, tsubst_flags_t complain)
       if (DECL_P (exprv)
 	  || handled_component_p (exprv)
 	  || INDIRECT_REF_P (exprv))
-	/* Expr is not being 'used' here, otherwise we whould have
+	/* Expr is not being 'used' here, otherwise we would have
 	   called mark_{rl}value_use use here, which would have in turn
 	   called mark_exp_read.  Rather, we call mark_exp_read directly
 	   to avoid some warnings when
diff --git a/gcc/cp/decl.c b/gcc/cp/decl.c
index e895fa7..cc25e95 100644
--- a/gcc/cp/decl.c
+++ b/gcc/cp/decl.c
@@ -13953,7 +13953,7 @@ copy_type_enum (tree dst, tree src)
 /* Begin compiling the definition of an enumeration type.
    NAME is its name, 
 
-   if ENUMTYPE is not NULL_TREE then the type has alredy been found.
+   if ENUMTYPE is not NULL_TREE then the type has already been found.
 
    UNDERLYING_TYPE is the type that will be used as the storage for
    the enumeration type. This should be NULL_TREE if no storage type
@@ -14345,7 +14345,7 @@ finish_enum_value_list (tree enumtype)
 }
 
 /* Finishes the enum type. This is called only the first time an
-   enumeration is seen, be it opaque or odinary.
+   enumeration is seen, be it opaque or ordinary.
    ENUMTYPE is the type object.  */
 
 void
diff --git a/gcc/cp/decl2.c b/gcc/cp/decl2.c
index 1645437..3adddef 100644
--- a/gcc/cp/decl2.c
+++ b/gcc/cp/decl2.c
@@ -2235,7 +2235,7 @@ determine_visibility (tree decl)
   enum symbol_visibility orig_visibility = DECL_VISIBILITY (decl);
 
   /* The decl may be a template instantiation, which could influence
-     visibilty.  */
+     visibility.  */
   tree template_decl = NULL_TREE;
   if (TREE_CODE (decl) == TYPE_DECL)
     {
